Bug 76337

Summary: [maintainer] cups 1.1.22 -> 1.1.23
Product: Ports & Packages Reporter: Sergey Akifyev <asa>
Component: Individual Port(s)Assignee: Sergey Matveychuk <sem>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
cups.diff
none
cups-lpr.diff
none
cups.diff
none
file.dat none

Description Sergey Akifyev 2005-01-17 10:50:25 UTC
* Update 1.1.22 -> 1.1.23
  Fixes:	http://vuxml.FreeBSD.org/7850a238-680a-11d9-a9e7-0001020eed82.html
		http://vuxml.FreeBSD.org/40a3bca2-6809-11d9-a9e7-0001020eed82.html
* Build with GNUTLS isntead of OpenSSL by default to fix FireFox issues
* Fixed man languages

Fix: diff -ruN orig/cups-base/Makefile cups-base/Makefile
--- orig/cups-base/Makefile	Mon Dec 27 13:11:18 2004
+++ cups-base/Makefile	Mon Jan 17 13:34:35 2005
@@ -14,13 +14,13 @@
 CATEGORIES=	print
 MASTER_SITES=	${CUPS_MASTER_SITES}
 
-MAINTAINER=	asa@gascom.ru
+MAINTAINER=	asa@agava.com
 COMMENT=	The Common UNIX Printing System: headers, libs, & daemons
 
 USE_REINPLACE=	yes
 INSTALLS_SHLIB=	yes
 
-MANLANG=	""
+MANLANG=	"" es fr
 
 post-patch:
 	@${REINPLACE_CMD} -e '/SILENT/d' \
diff -ruN orig/cups-base/files/patch-pdftops-Gfx.cc cups-base/files/patch-pdftops-Gfx.cc
--- orig/cups-base/files/patch-pdftops-Gfx.cc	Sat Dec 25 02:17:44 2004
+++ cups-base/files/patch-pdftops-Gfx.cc	Thu Jan  1 03:00:00 1970
@@ -1,29 +0,0 @@
-diff -ruN pdftops/Gfx.cxx /home/josef//temp/pdftops/Gfx.cxx
---- pdftops/Gfx.cxx	Fri Apr  9 22:18:31 2004
-+++ /home/josef//temp/pdftops/Gfx.cxx	Fri Dec 24 20:21:32 2004
-@@ -2655,7 +2655,9 @@
-     haveMask = gFalse;
-     dict->lookup("Mask", &maskObj);
-     if (maskObj.isArray()) {
--      for (i = 0; i < maskObj.arrayGetLength(); ++i) {
-+      for (i = 0;
-+	  i < maskObj.arrayGetLength() && i < 2*gfxColorMaxComps;
-+	  ++i) {
- 	maskObj.arrayGet(i, &obj1);
- 	maskColors[i] = obj1.getInt();
- 	obj1.free();
-diff -ruN pdftops/GfxState.cxx /home/josef//temp/pdftops/GfxState.cxx
---- pdftops/GfxState.cxx	Mon Feb  2 23:41:09 2004
-+++ /home/josef//temp/pdftops/GfxState.cxx	Fri Dec 24 20:21:32 2004
-@@ -708,6 +708,11 @@
-   }
-   nCompsA = obj2.getInt();
-   obj2.free();
-+  if (nCompsA > gfxColorMaxComps) {
-+    error(-1, "ICCBased color space with too many (%d > %d) components",
-+    nCompsA, gfxColorMaxComps);
-+    nCompsA = gfxColorMaxComps;
-+  }
-   if (dict->lookup("Alternate", &obj2)->isNull() ||
-       !(altA = GfxColorSpace::parse(&obj2))) {
-     switch (nCompsA) {
--- cups-base.diff ends here ---
Comment 1 Sergey Matveychuk freebsd_committer 2005-01-17 14:14:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

locking on build
Comment 2 Sergey Matveychuk freebsd_committer 2005-01-17 15:56:20 UTC
===>   Deinstalling cups-base-1.1.23.0_1
pkg_delete: file '/usr/local/man/man1/cupstestppd.1.gz' doesn't really exist
pkg_delete: file '/usr/local/man/man8/cupsaddsmb.8.gz' doesn't really exist
pkg_delete: file '/usr/local/man/es/man1/cupstestppd.1.gz' doesn't 
really exist
pkg_delete: file '/usr/local/man/es/man8/cupsaddsmb.8.gz' doesn't really 
exist
pkg_delete: file '/usr/local/man/fr/man1/cupstestppd.1.gz' doesn't 
really exist
pkg_delete: file '/usr/local/man/fr/man8/cupsaddsmb.8.gz' doesn't really 
exist
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

--
Sem.
Comment 3 Sergey Matveychuk freebsd_committer 2005-01-24 17:23:16 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 Michael Johnson 2005-02-08 07:07:18 UTC
 > * Update 1.1.22 -> 1.1.23
 >  Fixes: 
http://vuxml.FreeBSD.org/7850a238-680a-11d9-a9e7-0001020eed82.html
 > http://vuxml.FreeBSD.org/40a3bca2-6809-11d9-a9e7-0001020eed82.html
 > * Build with GNUTLS isntead of OpenSSL by default to fix FireFox 
issues

OpenSSL is still enabled and firefox still crashes, do you accept the 
following patch?
Comment 5 Sergey Akifyev 2005-02-10 14:28:21 UTC
On ×Ô, 2005-02-08 at 02:07 -0500, Michael Johnson wrote:
>  > * Update 1.1.22 -> 1.1.23
>  >  Fixes: 
> http://vuxml.FreeBSD.org/7850a238-680a-11d9-a9e7-0001020eed82.html
>  > http://vuxml.FreeBSD.org/40a3bca2-6809-11d9-a9e7-0001020eed82.html
>  > * Build with GNUTLS isntead of OpenSSL by default to fix FireFox 
> issues
> 
> OpenSSL is still enabled and firefox still crashes, do you accept the 
> following patch?


Shortly: yes

> Michael

-- 
regards,
Sergey Akifyev <http://asa.gascom.ru>
AGAVA Software Company <http://www.agava.com>
PGP key available from:
ftp://ftp.gascom.ru/pub/PGP-keys/asa.txt